Passa al contenuto principale

PrivateCloudVmCreateRequest

Virtual machine to create on the private cloud: template_vm_id to copy a template VM, otherwise both server_configuration_id and template_id; and either ip_address_id or use_local_ip true, not both

cpuintegerrequired

Number of CPU cores (vCPUs) of the virtual machine: between min_vm_cpu and max_vm_cpu of GET /api/v3/servers/{server_id}/private-cloud, and within the vCPUs still free on the private cloud

Possible values: >= 1

ramintegerrequired

RAM of the virtual machine, in MB: between min_vm_ram and max_vm_ram of GET /api/v3/servers/{server_id}/private-cloud, and within the RAM still free on the private cloud

Possible values: >= 1

diskintegerrequired

Disk space of the virtual machine, in GB: between min_vm_disk and max_vm_disk of GET /api/v3/servers/{server_id}/private-cloud, within the disk and backup space still free on the private cloud and, with template_vm_id, not lower than the disk of the template VM

Possible values: >= 1

server_configuration_idinteger

Server configuration ID

Possible values: >= 1

template_idinteger

Server template ID (OS)

Possible values: >= 1

template_vm_idinteger

Template VM ID (optional alternative to configuration/template)

Possible values: >= 1

ip_address_idinteger

Primary IP address ID

Possible values: >= 1

use_local_ipboolean

Use local IP instead of public IP

Default value: false
ssh_key_idinteger

SSH key ID to associate with the VM

Possible values: >= 1

notestring

Optional note

PrivateCloudVmCreateRequest
{
"cpu": 0,
"ram": 0,
"disk": 0,
"server_configuration_id": 0,
"template_id": 0,
"template_vm_id": 0,
"ip_address_id": 0,
"use_local_ip": false,
"ssh_key_id": 0,
"note": "string"
}